import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Cascader } from './components/cascader';
export var CascaderComponent = Intact.decorate(Cascader, 'k-cascader');
var components = [CascaderComponent];
var CascaderModule = /** @class */ (function () {
    function CascaderModule() {
    }
    CascaderModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], CascaderModule);
    return CascaderModule;
}());
export { CascaderModule };